%define pkg    spine


Summary:       A fast replacement for the Cacti cmd.php poller
Name:          cacti-%{pkg}
Version:       0.8.8
Release:       1%{?dist}%{?pext}
License:       GPL/LGPL
Group:         Applications/Internet
Source0:       http://www.cacti.net/downloads/%{pkg}/%{name}-%{version}.tar.gz
URL:           http://www.cacti.net/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        The Cacti Group <cacti-users@sourceforge.net>
Requires:      cacti >= %{version}
BuildRequires: mysql-devel net-snmp-devel openssl-devel
BuildRequires: zlib-devel


%description
Spine, formally Cactid, is a poller for Cacti that primarily strives to be
as fast as possible. For this reason it is written in native C, makes use
of POSIX threads, and is linked directly against the net-snmp library for
minimum SNMP polling overhead.


%prep
%setup -q


%build
%configure \
	CFLAGS="${CFLAGS} -DOPENSSL_NO_KRB5" \
	--sysconfdir=%{_sysconfdir}/cacti    \
	--enable-strict-snmp

%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/cacti
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

for CFG in %{_sysconfdir}/cacti/%{pkg}.conf; do
  %{__mv} ${RPM_BUILD_ROOT}${CFG}.dist ${RPM_BUILD_ROOT}${CFG}
done


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL LICENSE* README
%attr(640,cacti,apache) %config(noreplace) %{_sysconfdir}/cacti/%{pkg}.conf
%{_bindir}/%{pkg}


%changelog
* Fri Apr 06 2012 Peter Pramberger <peterpramb@member.fsf.org> - 0.8.8-1
- New version (0.8.8)

* Tue Dec 27 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.8.7i-1
- New version (0.8.7i)

* Wed Oct 05 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.8.7h-1
- New version (0.8.7h)

* Tue Nov 02 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.8.7g-1
- Initial build
